/*
 * @Author: zhangleyuan
 * @Date: 2021-02-21 16:15:38
 * @LastEditors: zhangleyuan
 * @LastEditTime: 2021-03-03 14:11:27
 * @Description: 描述一下
 * @@Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */
import {getTrainingPlanPage,createTrainingPlan,updateStateTrainingPlan,getTrainingPlanDetail,updateTrainingPlan,deleteTrainingPlan,getPlanUserRecordPage,getPlanCustomerRecordPage} from '@/data-source/plan/request-apis';
export default class PlanService {
    // 获取员工列表 
    static getTrainingPlanPage(params: any) {
      return getTrainingPlanPage(params);
    }
    static createTrainingPlan(params: any) {
      return createTrainingPlan(params);
    } 
    static updateStateTrainingPlan(params: any) {
      return updateStateTrainingPlan(params);
    } 
    static getTrainingPlanDetail(params: any) {
      return getTrainingPlanDetail(params);
    } 
    static updateTrainingPlan(params: any) {
      return updateTrainingPlan(params);
    } 
    static deleteTrainingPlan(params: any) {
      return deleteTrainingPlan(params);
    } 
    static getPlanUserRecordPage(params: any) {
      return getPlanUserRecordPage(params);
    } 
    static getPlanCustomerRecordPage(params: any) {
      return getPlanCustomerRecordPage(params);
    }
}